"use strict";
const common_vendor = require("../../../common/vendor.js");
if (!Array) {
  const _easycom_su_subline2 = common_vendor.resolveComponent("su-subline");
  _easycom_su_subline2();
}
const _easycom_su_subline = () => "../../ui/su-subline/su-subline.js";
if (!Math) {
  _easycom_su_subline();
}
const _sfc_main = {
  __name: "s-line-block",
  props: {
    data: {
      type: Object,
      default: {}
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          ...__props.data
        })
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/zx/mall-front-app/sheep/components/s-line-block/s-line-block.vue"]]);
wx.createComponent(Component);
